Name: icinga-graphite
Version: 1.2.2+2.g778e5c7
Release: 1675465414
Summary: Icinga Web Graphite Integration

Group: Productivity/Networking/Web/Frontends

License: GPL-2.0-only

URL: https://icinga.com
Source0: icinga-graphite-1.2.2+2.g778e5c7.tgz

Requires: icinga-graphite-web = 1.2.2+2.g778e5c7-1675465414

BuildArch: noarch

%description
This package integrates an existing Graphite installation into
Icinga Web. It provides a new menu section with two
general overviews for hosts and services as well as an extension to the
host and service detail views.

%package web
Requires: icingaweb2 >= 2.10.3
Summary: Icinga Graphite web files

%description web
Web files for Icinga Web Graphite Integration.

%prep
%autosetup

%install
install -dm 0755 %_topdir/BUILDROOT/icinga-graphite-1.2.2+2.g778e5c7-1675465414.x86_64/usr/share/icingaweb2/modules/graphite
find . -type f -not -name LICENSE -not -name README.md -maxdepth 1 -exec cp -p "{}" %_topdir/BUILDROOT/icinga-graphite-1.2.2+2.g778e5c7-1675465414.x86_64/usr/share/icingaweb2/modules/graphite \;
find . -type d -not -path . -maxdepth 1 -exec cp -pr "{}" %_topdir/BUILDROOT/icinga-graphite-1.2.2+2.g778e5c7-1675465414.x86_64/usr/share/icingaweb2/modules/graphite \;

%files

%files web
%doc README.md
%docdir /usr/share/icingaweb2/modules/graphite/doc
%license LICENSE
/usr/share/icingaweb2/modules/graphite

%post web
if [ $1 == 1 ]; then
if [ ! -d /etc/icingaweb2/enabledModules ]; then
install -dm 2770 -g icingaweb2 /etc/icingaweb2/enabledModules
fi

ln -sf /usr/share/icingaweb2/modules/graphite /etc/icingaweb2/enabledModules/graphite
fi

%preun web
if [ $1 == 0 ]; then
rm -f /etc/icingaweb2/enabledModules/graphite
fi

%changelog
* Fri Feb 03 2023 Icinga GmbH <info@icinga.com> - 1.2.2+2.g778e5c7-1675465414$RPM_DIST
- Version 1.2.2+2.g778e5c7-1675465414

